package com.heyu.api.data.entity.vv;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;
/**
*所有数据表
* @author quyixiao
* @since 2025-10-21
*/

@Data
@TableName("vv_all_data")
public class VvAllDataEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvAllDataEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                               // 
    public final static String is_delete = CLASS_NAME + "is_delete";                  // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";              // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";              // 修改时间
    public final static String name_ = CLASS_NAME + "name";                           // token
    public final static String x_ = CLASS_NAME + "x";                                 // 用户名
    public final static String y_ = CLASS_NAME + "y";                                 // y值
    public final static String create_timestamp = CLASS_NAME + "create_timestamp";    // 创建日期
    public final static String run_date = CLASS_NAME + "run_date";                    // 运行日期
    public final static String run_id = CLASS_NAME + "run_id";                        // 运行id
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //token
    private String name;
    //用户名
    private String x;
    //y值
    private double y;
    //创建日期
    private Long createTimestamp;
    //运行日期
    private String runDate;
    //运行id
    private String runId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * token 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * token 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 用户名 
     * @return
     */
    public String getX() {
        return x;
    }
    /**
     * 用户名 
     * @param x
     */
    public void setX(String x) {
        this.x = x;
    }

    /**
     * y值 
     * @return
     */
    public double getY() {
        return y;
    }
    /**
     * y值 
     * @param y
     */
    public void setY(double y) {
        this.y = y;
    }

    /**
     * 创建日期 
     * @return
     */
    public Long getCreateTimestamp() {
        return createTimestamp;
    }
    /**
     * 创建日期 
     * @param createTimestamp
     */
    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    /**
     * 运行日期 
     * @return
     */
    public String getRunDate() {
        return runDate;
    }
    /**
     * 运行日期 
     * @param runDate
     */
    public void setRunDate(String runDate) {
        this.runDate = runDate;
    }

    /**
     * 运行id 
     * @return
     */
    public String getRunId() {
        return runId;
    }
    /**
     * 运行id 
     * @param runId
     */
    public void setRunId(String runId) {
        this.runId = runId;
    }

    @Override
    public String toString() {
        return "VvAllDataEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",name=" + name +
                ",x=" + x +
                ",y=" + y +
                ",createTimestamp=" + createTimestamp +
                ",runDate=" + runDate +
                ",runId=" + runId +
                "}";
    }
}